curl --request POST \
--url https://developer.synq.io/api/triage/v1/{session_id}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": [
{
"issueIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"analysis": {
"analysis": "<string>",
"sqlQueries": [
"<string>"
]
},
"evidenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://developer.synq.io/api/triage/v1/{session_id}/evidence"
payload = { "evidence": [
{
"issueIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"title": "<string>",
"analysis": {
"analysis": "<string>",
"sqlQueries": ["<string>"]
},
"evidenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: [
{
issueIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
title: '<string>',
analysis: {analysis: '<string>', sqlQueries: ['<string>']},
evidenceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://developer.synq.io/api/triage/v1/{session_id}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}RecordEvidence
Records evidence collected during the triage investigation. This method allows the LLM agent to incrementally add evidence as it discovers information during the investigation process.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the triaging session, used to group related operations.
Body
Request to record evidence collected during the triage investigation.
Collection of structured evidence items collected during the investigation. Must contain at least one evidence item.
1EvidenceItem represents a single piece of evidence collected during the triage investigation. Each evidence item must have a title and one of the specific evidence types.
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
- EvidenceItem
Show child attributes
Show child attributes
Response
Success
Response for the RecordEvidence operation. Empty as the operation is fire-and-forget.